java.io

## Interface FileFilter

-     public interface FileFilter

  A filter for abstract pathnames.

  Instances of this interface may be passed to the ``listFiles(FileFilter)`` method of the ``File`` class.

  Since:
    1.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File pathname)` Tests whether or not the specified abstract pathname should be included in a pathname list.

- - ### Method Detail

    - #### accept

          boolean accept(File pathname)

      Tests whether or not the specified abstract pathname should be included in a pathname list.
      Parameters:
        `pathname` - The abstract pathname to be tested
      Returns:
        `true` if and only if `pathname` should be included

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.